Skip to main content
PATCH
Update a signer-Layer's Rules by ruleId

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

walletId
string
required

UUID of the wallet

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json
op
enum<string>
required

The per-Rule operation to apply to the wallet-Layer

Available options:
upsert,
remove
rule
object
ruleId
string
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Response

Signer-Layer updated successfully

layerId
string
required

Unique identifier for the wallet-Layer

layerContent
object
required

The decrypted, mutated wallet-Layer document

updatedAt
string<date-time>
required

ISO 8601 timestamp of when the wallet-Layer was last updated

message
string

Message describing the operation result

Last modified on July 17, 2026